Name:           perl-Gtk2-Ex-CalendarButton
Version:        0.01
Release:        4%{?dist}
Summary:        Gtk2::Ex::CalendarButton Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk2-Ex-CalendarButton/
Source0:        http://www.cpan.org/authors/id/O/OF/OFEYAIKON/Gtk2-Ex-CalendarButton-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Glib)
BuildRequires:  perl(Gtk2)
# test

%description
I realized that I was constantly re-creating a simple widget that will pop-up
and Gtk2::Calendar when clicked. Just like the datetime display on your
desktop taskbar. This package is my attempt to extract the portion of code
required to create a button-click-calender.

%prep
%setup -q -n Gtk2-Ex-CalendarButton-%{version}

#find t/ -type f -exec perl -pi -e 's|\r||' {} +
find t/ -type f -exec perl -pi -e 's|\r||; s|^#!perl|#!/usr/bin/perl|' {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
%{?_with_display_tests: make test }

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Aug 18 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.01-4
- bump

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.01-3
- update license tag to indicate "GPL+"
- add t/ to doc
- additional perl BR's included

* Wed Mar 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.01-1
- Specfile autogenerated by cpanspec 1.70.
